
#ifndef __common_config_h
#define __common_config_h

#include "platform.h"


// - - - - - - - - - - - - - - - - - - - - 
// pic_serial defines
// - - - - - - - - - - - - - - - - - - - - 

#define SERIAL_TX_BUFFER_SIZE 32
#define SERIAL_RX_BUFFER_SIZE 128
//#define SERIAL_DEBUG_ON
#define SERIAL_DISCARD_ON_TX_FULL_DURING_INT
// - - - - - - - - - - - - - - - - - - - - 
// pic_term defines
// - - - - - - - - - - - - - - - - - - - - 

#define TERM_BUFFER_SIZE	185
#define TERM_ALLOW_BOOSTBLOADER
#define TERM_ECHO_INPUT


// - - - - - - - - - - - - - - - - - - - - 
// Draw defines
// - - - - - - - - - - - - - - - - - - - - 

#define DRAW_FONT_16TRIPLE
#define DRAW_FONT_16DOUBLE
#define DRAW_FONT_8NORMAL
#define DRAW_FONT_5NARROW
#define DRAW_FONT_5NORMAL
#define DRAW_FONT_7NORMAL
#define DRAW_FONT_28NORMAL
#ifndef BIGNUM_NOT_SUPPORTED
	#define FONT_COUNT 8
	#define DRAW_FONT_BIGNUM
#else
	#define FONT_COUNT 7
#endif
// - - - - - - - - - - - - - - -
// General platform definitions
// - - - - - - - - - - - - - - -
#define PLATFORM_TYPE EA_PLT1001_V4
#define PLATFORM_CLOCK 64000000
#include "platform.h"
#define PLATFORM_LEDS_FLASH_TICKS 100
#define BASE_VERSION "2.10"
// - - - - - - - - - - - - - - - - - - - - 
// Debug defines
// - - - - - - - - - - - - - - - - - - - - 

#define debug_serial
//#define debug_on
//#define debug_high_on


#endif