#ifndef __config_h
#define __config_h

#include "platform.h"
#include "..\common_config.h"
#include "draw\draw_auto_driver.h"
// - - - - - - - - - - - - - - - - - - - - 
// LDP-6416 defines
// - - - - - - - - - - - - - - - - - - - - 

#define DRAW_DRIVER LDP6416
#define DRAW_TESTS
#define DRAW_PANELS 6
#define DRAW_DISPLAY_ORIENTATION HORIZONTAL

#define ea_ldp6416_displays 6
// For more than one display:
#define ea_ldp6416_display_orientation HORIZONTAL

#define ea_ldp6416_en_port PORTC
#define ea_ldp6416_en_pin  2

#define ea_ldp6416_r1_port PORTA
#define ea_ldp6416_r1_pin  5

#define ea_ldp6416_g1_port PORTC
#define ea_ldp6416_g1_pin  3

#define ea_ldp6416_a_port PORTA
#define ea_ldp6416_a_pin  1

#define ea_ldp6416_b_port PORTA
#define ea_ldp6416_b_pin  2

#define ea_ldp6416_c_port PORTA
#define ea_ldp6416_c_pin  3

#define ea_ldp6416_d_port PORTA
#define ea_ldp6416_d_pin  4


#define ea_ldp6416_s_port PORTB
#define ea_ldp6416_s_pin  4

#define ea_ldp6416_l_port PORTC
#define ea_ldp6416_l_pin  0

#define ea_ldp6416_max_brightness 3


// y
#define DRAW_PIXELS_HIGH 16

// x
#define DRAW_PIXELS_WIDE 384

// red and green leds per pixel = 2 colours = 2 bits
#define DRAW_BITS_PER_PIXEL 2
#define DRAW_HW_Y_ORIGIN TOP_LEFT
#define DRAW_HW_BUFFER_ORIENTATION HORIZONTAL
#define DRAW_DEBUG
#define BIGNUM_NOT_SUPPORTED

// - - - - - - - - - - - - - - -
// General platform definitions
// - - - - - - - - - - - - - - -

#define VERSION "LDP-6416 x6H Driver"
// - - - - - - - - - - - - - - - - - - - - 
// Debug defines
// - - - - - - - - - - - - - - - - - - - - 

#define debug_serial
#define debug_on
//#define debug_high_on
#define BOARD_REFRESH 15000

#endif