#ifndef __config_h
#define __config_h

#include "platform.h"
#include "..\common_config.h"
#include "draw\draw_auto_driver.h"
// - - - - - - - - - - - - - - - - - - - - 
// LDP-6432 defines
// - - - - - - - - - - - - - - - - - - - - 

#define DRAW_DRIVER LDP6432
#define DRAW_TESTS
#define DRAW_PANELS 3
#define DRAW_DISPLAY_ORIENTATION HORIZONTAL

#define ea_ldp6432_displays 3
// For more than one display:
#define ea_ldp6432_display_orientation HORIZONTAL

#define ea_ldp6432_en_port PORTC
#define ea_ldp6432_en_pin  2

#define ea_ldp6432_r1_port PORTA
#define ea_ldp6432_r1_pin  5

#define ea_ldp6432_r2_port PORTC
#define ea_ldp6432_r2_pin  1


#define ea_ldp6432_g1_port PORTC
#define ea_ldp6432_g1_pin  3

#define ea_ldp6432_g2_port PORTB
#define ea_ldp6432_g2_pin  5

#define ea_ldp6432_a_port PORTA
#define ea_ldp6432_a_pin  1

#define ea_ldp6432_b_port PORTA
#define ea_ldp6432_b_pin  2

#define ea_ldp6432_c_port PORTA
#define ea_ldp6432_c_pin  3

#define ea_ldp6432_d_port PORTA
#define ea_ldp6432_d_pin  4


#define ea_ldp6432_s_port PORTB
#define ea_ldp6432_s_pin  4

#define ea_ldp6432_l_port PORTC
#define ea_ldp6432_l_pin  0

//#define ea_ldp6432_max_brightness 3


// y
#define DRAW_PIXELS_HIGH 32

// x
#define DRAW_PIXELS_WIDE 192

// red and green leds per pixel = 2 colours = 2 bits
#define DRAW_BITS_PER_PIXEL 2
#define DRAW_HW_Y_ORIGIN TOP_LEFT
#define DRAW_HW_BUFFER_ORIENTATION HORIZONTAL
#define DRAW_DEBUG
#define BOARD_REFRESH 15000

// - - - - - - - - - - - - - - -
// General platform definitions
// - - - - - - - - - - - - - - -

#define VERSION "LDP-6432 3xH Driver"
// - - - - - - - - - - - - - - - - - - - - 
// Debug defines
// - - - - - - - - - - - - - - - - - - - - 

#define debug_serial
#define debug_on
//#define debug_high_on
//#define DEBUG_FONTS

#endif