#ifndef __config_h
#define __config_h

#include "platform.h"
#include "..\common_config.h"
#include "draw\draw_auto_driver.h"

// - - - - - - - - - - - - - - - - - - - - 
// LDP-3208s defines
// - - - - - - - - - - - - - - - - - - - - 

#define DRAW_DRIVER LDP3208S

#define ea_ldp3208s_displays 8
// For more than one display:
#define ea_ldp3208s_display_orientation HORIZONTAL

#define ea_ldp3208s_en_port PORTC
#define ea_ldp3208s_en_pin  2

#define ea_ldp3208s_r_port PORTA
#define ea_ldp3208s_r_pin  5

//#define ea_ldp3208s_g_port PORTC
//#define ea_ldp3208s_g_pin  3

#define ea_ldp3208s_a_port PORTA
#define ea_ldp3208s_a_pin  1

#define ea_ldp3208s_b_port PORTA
#define ea_ldp3208s_b_pin  2

#define ea_ldp3208s_c_port PORTA
#define ea_ldp3208s_c_pin  3

#define ea_ldp3208s_s_port PORTB
#define ea_ldp3208s_s_pin  4

#define ea_ldp3208s_l_port PORTC
#define ea_ldp3208s_l_pin  0

#define ea_ldp3208s_max_brightness 3


// y
#define DRAW_PIXELS_HIGH 8

// x
#define DRAW_PIXELS_WIDE 256

// red and green leds per pixel = 2 colours = 2 bits
#define DRAW_BITS_PER_PIXEL 1
#define DRAW_HW_Y_ORIGIN TOP_LEFT
#define DRAW_HW_BUFFER_ORIENTATION HORIZONTAL
#define DRAW_DEBUG

#define BOARD_REFRESH 50000

// - - - - - - - - - - - - - - -
// General platform definitions
// - - - - - - - - - - - - - - -

#define VERSION "LDP-3208s Driver Hx8"
// - - - - - - - - - - - - - - - - - - - - 
// Debug defines
// - - - - - - - - - - - - - - - - - - - - 

#define debug_serial
#define debug_on
//#define debug_high_on


#endif